# Uses of Class
java.awt.GridBagConstraints

Packages that use GridBagConstraints
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of GridBagConstraints in java.awt

Fields in java.awt declared as GridBagConstraints
Modifier and Type
Field
Description
`protected GridBagConstraints`
GridBagLayout.`defaultConstraints`
This field holds a gridbag constraints instance containing the default values, so if a component does not have gridbag constraints associated with it, then the component will be assigned a copy of the `defaultConstraints`.
Fields in java.awt with type parameters of type GridBagConstraints
Modifier and Type
Field
Description
`protected Hashtable<Component,​GridBagConstraints>`
GridBagLayout.`comptable`
This hashtable maintains the association between a component and its gridbag constraints.
Methods in java.awt that return GridBagConstraints
Modifier and Type
Method
Description
`GridBagConstraints`
GridBagLayout.`getConstraints​(Component comp)`
Gets the constraints for the specified component.
`protected GridBagConstraints`
GridBagLayout.`lookupConstraints​(Component comp)`
Retrieves the constraints for the specified component.
Methods in java.awt with parameters of type GridBagConstraints
Modifier and Type
Method
Description
`protected void`
GridBagLayout.`adjustForGravity​(GridBagConstraints constraints, Rectangle r)`
Adjusts the x, y, width, and height fields to the correct values depending on the constraint geometry and pads.
`protected void`
GridBagLayout.`AdjustForGravity​(GridBagConstraints constraints, Rectangle r)`
Adjusts the x, y, width, and height fields to the correct values depending on the constraint geometry and pads.
`void`
GridBagLayout.`setConstraints​(Component comp, GridBagConstraints constraints)`
Sets the constraints for the specified component in this layout.

## Uses of GridBagConstraints in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type GridBagConstraints
Modifier and Type
Method
Description
`protected void`
BasicOptionPaneUI.`addMessageComponents​(Container container, GridBagConstraints cons, Object msg, int maxll, boolean internallyCreated)`
Creates the appropriate object to represent `msg` and places it into `container`.